#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1
PKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_auto_test:
	:

override_dh_auto_build:
	dh_auto_build
	-cp -f man/kakasi.1.ja man/kakasi.ja.1
	for i in doc/ChangeLog.lib doc/JISYO doc/README.level doc/README.lib \
		doc/README.wakati INSTALL-ja NEWS ONEWS README-ja THANKS TODO; \
	do \
	  if [ -f "$$i" ]; then \
	    iconv -f eucJP -t UTF-8 < $$i > $$i.utf8 ;\
	  fi ; \
	done


